XLSX import loose data with >15 char. numbers in text type cells

Asked by Edgar on 2013-01-04

Hello,

we use Ubuntu 12.04 LTS on all our clients. Now we have a big problem with
the compatibility of XLSX files we receive and open in LibreOffice...

See: https://bugs.freedesktop.org/show_bug.cgi?id=55875

This problem is already fixed by the LibreOffice community,
but the Ubuntu repository does not update to version LO 3.6.4

How can I solve this problem?

We don't want to use the .deb files and an updated repository for the LTS
I couldn't find... The best solution should be the Ubuntu repository, isn't it?

Should I file a bug report?

Thx!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu libreoffice Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:

Is there no PPA with the newer version?

Edgar (edgar-nl) said : #2

Well... I can't find...

There are PPA's with newer version, BUT they are for U12.10 or even U13.04.
But I can't find one which works with U12.04 LTS...

Edgar (edgar-nl) said : #4

Hello actionparsnip,

thanks for the quick responses..!

And I tried those PPA's but they are not 3.6.4.x !!
Now I'm from 3.5.4.2 (default in the LTS I belive) to 3.6.0.2

So it is not a solution :-(

(or I do something terrible wrong)

Edgar (edgar-nl) said : #5

When I read this:

>> Some new upstream versions and backported packages:
>>
>> THIS IS THE STAGING FOR THE OFFICIAL LIBREOFFICE PPA.
>> The pacakges will be copied there if they turn out well.
>>
>> INPROGRESS: LibreOffice 3.6 for Precise/12.04, Quantal/12.10 and Raring/13.04
>>
>> For the 3.5 series use https://launchpad.net/~libreoffice/+archive/libreoffice-3-5
>>
>> The packages here can be considered stable, but of course nothing is free of bugs!
>>
>> https://launchpad.net/~ricotz/+archive/ppa

I guess, I have to wait for a update...
...So...Does anyone here know a work-around for this bug?

Can you help with this problem?

Provide an answer of your own, or ask Edgar for more information if necessary.

To post a message you must log in.